# DashCam

DashCam allows players to record in-game video with ease.

Videos will be saved to your Ashita folder within the /videos/ directory.

Videos are named in the following format:

```
charname_year.day.month_hhmmss.avi
```

# Commands

DashCam currently includes the following commands:

  * /dashcam start [codec] [fps] [quality] - *Starts a recording.*
  * /dashcam stop - *Stops a recording.*
  * /dashcam codec - *Lists the available codecs.*
  * /dashcam codecs - *Lists the available codecs.*

DashCam will respond to the following commands:
  * /dashcam
  * /record
  * /video

You can use any three of these with the commands above (ie. /record stop).

# Codecs

DashCam allows you to use the encoding codec of your choice that is installed on your system.
This allows users to customize the way they record things in the encoding type of their preference.

Please note: 

  * DashCam is not guaranteed to work with all codecs!
  * DashCam may have adverse effects with some codecs!
  * Some codecs may use more CPU than others. Please be mindful not to fry your hardware using an intensive codec!

By default, DashCam will try to make use of XVid. You can download the official XVid codec here:
https://www.xvid.com/

# Notes

DashCam cannot record at any FPS you want. There are limits to how well the encoder you are using will work.
For the best results, a max of 30 FPS should be used for recording. If you record at a higher FPS you may 
experience undesired effects in the resulting video such as speed ups or slow downs in the frames.